<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net6.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <LangVersion>latestmajor</LangVersion>
    </PropertyGroup>

    <ItemGroup>
        <AssemblyAttribute Include="System.Runtime.CompilerServices.InternalsVisibleToAttribute">
            <_Parameter1>$(AssemblyName).Tests</_Parameter1>
        </AssemblyAttribute>
    </ItemGroup>

    <PropertyGroup>
        <PackageId>Envize.FlexGrid.Monitoring.Logging</PackageId>
        <Version>0.1.2</Version>
        <Authors>Patrick de Mooij</Authors>
        <Company>Envize</Company>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="6.0.0"/>
        <PackageReference Include="Serilog" Version="2.10.0"/>
        <PackageReference Include="Serilog.AspNetCore" Version="4.1.0"/>
        <PackageReference Include="Serilog.Enrichers.Environment" Version="2.2.0"/>
        <PackageReference Include="Serilog.Enrichers.Span" Version="2.0.1"/>
        <PackageReference Include="Serilog.Extensions.Hosting" Version="4.2.0"/>
        <PackageReference Include="Serilog.Sinks.Console" Version="4.0.1"/>
        <PackageReference Include="Serilog.Sinks.Debug" Version="2.0.0"/>
        <PackageReference Include="Serilog.Sinks.Elasticsearch" Version="8.4.1"/>
    </ItemGroup>

    <Choose>
        <When Condition="'$(Configuration)' == 'Debug'">
            <ItemGroup>
                <ProjectReference Include="..\..\..\utils\src\Utils.csproj"/>
            </ItemGroup>
        </When>
        <Otherwise>
            <ItemGroup>
                <PackageReference Include="Envize.FlexGrid.Utils" Version="0.1.1-6" />
            </ItemGroup>
        </Otherwise>
    </Choose>

</Project>
